create table flow_node
(
    id              bigint           not null comment '主键id'
        primary key,
    node_type       tinyint(1)       not null comment '节点类型（0开始节点 1中间节点 2结束节点 3互斥网关 4并行网关）',
    definition_id   bigint           not null comment '流程定义id',
    node_code       varchar(100)     not null comment '流程节点编码',
    node_name       varchar(100)     null comment '流程节点名称',
    permission_flag varchar(200)     null comment '权限标识（权限类型:权限标识，可以多个，用@@隔开)',
    node_ratio      decimal(6, 3)    null comment '流程签署比例值',
    coordinate      varchar(100)     null comment '坐标',
    any_node_skip   varchar(100)     null comment '任意结点跳转',
    listener_type   varchar(100)     null comment '监听器类型',
    listener_path   varchar(400)     null comment '监听器路径',
    handler_type    varchar(100)     null comment '处理器类型',
    handler_path    varchar(400)     null comment '处理器路径',
    form_custom     char default 'N' null comment '审批表单是否自定义（Y是 N否）',
    form_path       varchar(100)     null comment '审批表单路径',
    version         varchar(20)      not null comment '版本',
    create_time     datetime         null comment '创建时间',
    update_time     datetime         null comment '更新时间',
    ext             text             null comment '节点扩展属性',
    del_flag        char default '0' null comment '删除标志',
    tenant_id       varchar(40)      null comment '租户id'
)
    comment '流程节点表';

